Index: CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/ping_nemo.xml
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/ping_nemo.xml	(revision 3778)
+++ CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/ping_nemo.xml	(revision 3906)
@@ -208,6 +208,6 @@
    <field id="CMIP6_siage"         field_ref="iceage"            /> <!-- P1 (s) age_of_sea_ice : Age of sea ice -->
    <field id="CMIP6_siareaacrossline" field_ref="transport_siarea_transect"        /> <!-- P2 (m2 s-1) siareaacrossline : net (sum of transport in all directions) sea ice area transport through the following four passages, positive into the Arctic Ocean 1. Fram Strait = (11.5W,81.3N to (10.5E,79.6N) 2. Canadian Archipelego = (128.2W,70.6N) to (59.3W,82.1N) 3. Barents opening = (16.8E,76.5N) to (19.2E,70.2N) 4. Bering Strait = (171W,66.2N) to (166W,65N) -->
-   <field id="CMIP6_siarean"       field_ref="NH_icearea" />     <!-- P2 (1e6 km2) sea_ice_area : total area of sea ice in the Northern hemisphere -->
-   <field id="CMIP6_siareas"       field_ref="SH_icearea" />     <!-- P2 (1e6 km2) sea_ice_area : total area of sea ice in the Southern hemisphere -->
+   <field id="CMIP6_siarean"       field_ref="NH_sc_icearea" />     <!-- P2 (1e6 km2) sea_ice_area : total area of sea ice in the Northern hemisphere -->
+   <field id="CMIP6_siareas"       field_ref="SH_sc_icearea" />     <!-- P2 (1e6 km2) sea_ice_area : total area of sea ice in the Southern hemisphere -->
    <field id="CMIP6_sicompstren"   field_ref="icestr"      /> <!-- P2 (N m-1) compressive_strength_of_sea_ice : Computed strength of the ice pack, defined as the energy (J m-2) dissipated per unit area removed from the ice pack under compression, and assumed proportional to the change in potential energy caused by ridging. For Hibler-type models, this is P (= P*hexp(-C(1-A))) -->
    <field id="CMIP6_siconc"        field_ref="iceconc_pct"           /> <!-- P1 (%) sea_ice_area_fraction : Area fraction of grid cell covered by sea ice -->
@@ -229,6 +229,6 @@
    <field id="CMIP6_sidragbot"     field_ref="dummy_XY"         /> <!-- P3 (1.0) sidragbot : Oceanic drag coefficient that is used to calculate the oceanic momentum drag on sea ice -->
    <field id="CMIP6_sidragtop"     field_ref="dummy_XY"         /> <!-- P3 (1.0) surface_drag_coefficient_for_momentum_in_air : Atmospheric drag coefficient that is used to calculate the atmospheric momentum drag on sea ice -->
-   <field id="CMIP6_siextentn"     field_ref="NH_iceextt"  />   <!-- P2 (1e6 km2) sea_ice_extent : Total area of all Northern-Hemisphere grid cells that are covered by at least 15 % areal fraction of sea ice -->
-   <field id="CMIP6_siextents"     field_ref="SH_iceextt"  />     <!-- P2 (1e6 km2) sea_ice_extent : Total area of all Southern-Hemisphere grid cells that are covered by at least 15 % areal fraction of sea ice -->
+   <field id="CMIP6_siextentn"     field_ref="NH_sc_iceextt"  />   <!-- P2 (1e6 km2) sea_ice_extent : Total area of all Northern-Hemisphere grid cells that are covered by at least 15 % areal fraction of sea ice -->
+   <field id="CMIP6_siextents"     field_ref="SH_sc_iceextt"  />     <!-- P2 (1e6 km2) sea_ice_extent : Total area of all Southern-Hemisphere grid cells that are covered by at least 15 % areal fraction of sea ice -->
    <field id="CMIP6_sifb"          field_ref="icefb"             /> <!-- P2 (m) sea_ice_freeboard : Mean height of sea-ice surface (=snow-ice interface when snow covered) above sea level -->
    <field id="CMIP6_siflcondbot"   field_ref="hfxconbo"      /> <!-- P2 (W m-2) siflcondbot : the net heat conduction flux at the ice base -->
@@ -286,6 +286,6 @@
    <field id="CMIP6_siv"           field_ref="vice_mv"              /> <!-- P1 (m s-1) sea_ice_y_velocity : The y-velocity of ice on native model grid -->
    <field id="CMIP6_sivol"         field_ref="icevolu"            /> <!-- P1 (m) sea_ice_thickness : Total volume of sea ice divided by grid-cell area (this used to be called ice thickness in CMIP5) -->
-   <field id="CMIP6_sivoln"        field_ref="NH_icevolu"  />     <!-- P2 (1e3 km3) sea_ice_volume : total volume of sea ice in the Northern hemisphere -->
-   <field id="CMIP6_sivols"        field_ref="SH_icevolu"  />     <!-- P2 (1e3 km3) sea_ice_volume : total volume of sea ice in the Southern hemisphere -->
+   <field id="CMIP6_sivoln"        field_ref="NH_sc_icevolu"  />     <!-- P2 (1e3 km3) sea_ice_volume : total volume of sea ice in the Northern hemisphere -->
+   <field id="CMIP6_sivols"        field_ref="SH_sc_icevolu"  />     <!-- P2 (1e3 km3) sea_ice_volume : total volume of sea ice in the Southern hemisphere -->
    <field id="CMIP6_sndmassdyn"    field_ref="dmsdyn"       /> <!-- P2 (kg m-2 s-1) sndmassdyn : the rate of change of snow mass through advection with sea ice divided by grid-cell area -->
    <field id="CMIP6_sndmassmelt"   field_ref="dmsmel"      /> <!-- P1 (kg m-2 s-1) surface_snow_melt_flux : the rate of change of snow mass through melt divided by grid-cell area -->