Index: CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/amip_CMIP6/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/amip_CMIP6/COMP/lmdz.card	(revision 3910)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/amip_CMIP6/COMP/lmdz.card	(revision 3915)
@@ -12,5 +12,5 @@
 # LMDZ_Physics=NPv6.0.15_T or NPv6.0.15_S to be used with LMDZ6/branches/IPSLCM6.0.15 rev 3224
 # LMDZ_Physics=NPv6.1 to be used with LMDZ6/branches/IPSLCM6.0.15 rev 3301
-LMDZ_Physics=NPv6.1
+LMDZ_Physics=NPv6.1.3
 
 # Set ConfType to choose parameters for aerosols, solar and green house gazes.
@@ -67,5 +67,5 @@
         (${R_IN}/ATM/STRATAERO/CMIP6/v3/${RESOL_ATM_XY}/L${RESOL_ATM_Z}/taulwstrat.2D.${year}.nc, taulwstrat.2D.nc),\
         (${R_IN}/ATM/STRATAERO/CMIP6/v3/${RESOL_ATM_XY}/L${RESOL_ATM_Z}/tauswstrat.2D.${year}.nc, tauswstrat.2D.nc),\
-        (${R_IN}/CMIP6/IPSLCM6.1.3-LR/IPSL-CM6A-LR/amip/${config_UserChoices_Member}/${year}/dr2xml_LMDZ.xml, dr2xml_lmdz.xml)
+        (${R_IN}/CMIP6/${config_UserChoices_LongName}/${config_UserChoices_ModelName}/${config_UserChoices_ExperimentName}/${config_UserChoices_Member}/${year}/dr2xml_LMDZ.xml, dr2xml_lmdz.xml)
 
 # Note: the SOLARANDVOLCANOES.txt is only used for LMDZ_Physics=AP and NPv3.2 (if ok_suntime_rrtm=n)
Index: CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/amip_CMIP6/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/amip_CMIP6/COMP/orchidee.card	(revision 3910)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/amip_CMIP6/COMP/orchidee.card	(revision 3915)
@@ -17,7 +17,7 @@
 # output_level_filename=12    : highest level which will output all variables
 # output_level_filename=NONE  : deactivate the file
-output_level_sechiba_history = 11
+output_level_sechiba_history = 0
 output_level_sechiba_out_2 = NONE
-output_level_sechiba_history_4dim = 11
+output_level_sechiba_history_4dim = NONE
 
 # Specify output frequency for each file [1y, 1mo, 1d, 10800s, 1ts]
@@ -38,5 +38,5 @@
 List= (${R_IN}/SRF/PFTMAPS/CMIP6/ESA-LUH2v2/historical/15PFT.v1/PFTmap_${year}.nc, PFTmap.nc) ,\
       (${R_IN}/SRF/WOODHARVEST/LUH2v2/historical/woodharvest_${year}.nc, woodharvest.nc) ,\
-      (${R_IN}/CMIP6/IPSLCM6.1.3-LR/IPSL-CM6A-LR/amip/${config_UserChoices_Member}/${year}/dr2xml_orchidee.xml, .)
+      (${R_IN}/CMIP6/${config_UserChoices_LongName}/${config_UserChoices_ModelName}/${config_UserChoices_ExperimentName}/${config_UserChoices_Member}/${year}/dr2xml_orchidee.xml, .)
 ListNonDel= ()
 
Index: CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/amip_CMIP6/config.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/amip_CMIP6/config.card	(revision 3910)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/amip_CMIP6/config.card	(revision 3915)
@@ -7,11 +7,13 @@
 [UserChoices]
 #============================
-JobName=LMDZOR01
+JobName=CM613-LR-amip-XX
 #----- Short Name of Experiment
 ExperimentName=amip
 #----- DEVT TEST PROD
-SpaceName=TEST
-LongName="LMDZOR configuration"
+SpaceName=DEVT
 TagName=LMDZOR
+# LongName, ModelName and Member are used to copy dr2xml files
+LongName="IPSLCM6.1.3-LR"
+ModelName=IPSL-CM6A-LR
 Member=r1i1p1f1
 #D- Choice of experiment in EXPERIEMENTS directory
@@ -22,6 +24,6 @@
 #-- Begin and end of job 
 #-- "YYYY-MM-DD"
-DateBegin=1980-01-01
-DateEnd=1980-12-31
+DateBegin=1979-01-01
+DateEnd=2014-12-31
 #============================
 #-- 1Y, 1M, 5D, 1D Period Length for one execution
@@ -124,5 +126,5 @@
 RebuildFrequency=NONE
 #D- PackFrequency determines the frequency of pack submission
-PackFrequency=10Y
+PackFrequency=1Y
 #D- TimeSeriesFreqency determines the frequency of post-processing submission
 #D- Set NONE to deactivate the creation of all time series 
@@ -133,5 +135,5 @@
 #D- Offset for seasonal average first start dates ; same unit as SeasonalFrequency
 #D- Usefull if you do not want to consider the first X simulation's years
-SeasonalFrequencyOffset=0
+SeasonalFrequencyOffset=6
 #D- If you want to produce compute PCMDI metrics from seasonal average
 #D- Set TRUE or FALSE to activate/deactivate the metrics computation.