Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES_CMIP6/omip1/ia/COMP/lim3.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES_CMIP6/omip1/ia/COMP/lim3.card	(revision 3927)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES_CMIP6/omip1/ia/COMP/lim3.card	(revision 3941)
@@ -19,7 +19,6 @@
 List=	(${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_ice_lim3_ref , namelist_ice_ref ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-lim.xml, field_def_nemo-lim.xml ),\
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/ping_seaIce.xml       , ping_seaIce.xml        ), \
         (${SUBMIT_DIR}/PARAM/NAMELIST/${RESOL_OCE}/namelist_lim3_cfg    , namelist_ice_cfg ), \
-        (${SUBMIT_DIR}/PARAM/XML/file_def_nemo-lim3.xml                 , file_def_nemo-lim.xml   )
+        (${SUBMIT_DIR}/PARAM/XML/file_def_nemo-lim3_cmip6.xml           , file_def_nemo-lim.xml   )
 
 
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES_CMIP6/omip1/ia/COMP/opa9.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES_CMIP6/omip1/ia/COMP/opa9.card	(revision 3927)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES_CMIP6/omip1/ia/COMP/opa9.card	(revision 3941)
@@ -30,5 +30,5 @@
 List=  (${opa9_UserChoices_R_FORCING}/weights_coreII_2_eorca1_bilinear.nc, weights_bilinear.nc), \
        (${opa9_UserChoices_R_FORCING}/weights_coreII_2_eorca1_bicubic.nc , weights_bicubic.nc), \
-       (${R_IN}/CMIP6/${config_UserChoices_LongName}/${config_UserChoices_ModelName}/${config_UserChoices_ExperimentName}/${config_UserChoices_Member}/${year}/dr2xml_nemo.xml, dr2xml_nemo.xml)
+       (${R_IN}/CMIP6/${config_UserChoices_LongName}/${config_UserChoices_ModelName}/${config_UserChoices_ExperimentName}/${config_UserChoices_Member}/${year}/dr2xml_nemo.xml, dr2xml_opa9.xml)
 
 ListNonDel= (${R_IN}/OCE/NEMO/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/ahmcoef.nc, .), \
@@ -36,5 +36,5 @@
             (${R_IN}/OCE/NEMO/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/coordinates.nc, . ), \
             (${R_IN}/OCE/NEMO/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/coordinates_xios.nc                , .  ), \
-            (${R_IN}/OCE/NEMO/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/maskMFO_opa.nc, .  ), \
+            (${R_IN}/OCE/NEMO/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/maskMFO_opa_v2.nc, maskMFO_opa.nc  ), \
             (${R_IN}/OCE/NEMO/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/conservative_temperature_WOA13_decav_Reg1L75_clim.nc, .), \
             (${R_IN}/OCE/NEMO/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/absolute_salinity_WOA13_decav_Reg1L75_clim.nc, .), \
@@ -55,5 +55,4 @@
             (${R_IN}/OCE/NEMO/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/weights_Goutorbe1_2_eorca1_bilinear.nc, .)
 
-
 [ParametersFiles]
 List=   (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_ref                            , namelist_ref        ), \
@@ -63,8 +62,8 @@
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/grids_def_nemo.xml     , grids_def_nemo.xml  ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-opa.xml , field_def_nemo-opa.xml  ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/ping_ocean.xml         , ping_ocean.xml      ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/ping_nemo.xml         , ping_nemo.xml      ), \
         (${SUBMIT_DIR}/PARAM/NAMELIST/${RESOL_OCE}/namelist_${opa9_UserChoices_forcing}_${exptype}_cfg, namelist_cfg), \
         (${SUBMIT_DIR}/PARAM/XML/iodef.xml                                                , iodef.xml               ), \
-        (${SUBMIT_DIR}/PARAM/XML/file_def_nemo-opa.xml                                    , file_def_nemo-opa.xml   )
+        (${SUBMIT_DIR}/PARAM/XML/file_def_nemo-opa_cmip6.xml                              , file_def_nemo-opa.xml   )
 
 
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES_CMIP6/omip1/ia/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES_CMIP6/omip1/ia/COMP/pisces.card	(revision 3927)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES_CMIP6/omip1/ia/COMP/pisces.card	(revision 3941)
@@ -40,5 +40,4 @@
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-pisces.xml   , field_def_nemo-pisces.xml  ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-inerttrc.xml , field_def_nemo-inerttrc.xml), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/ping_ocnBgChem.xml          , ping_ocnBgChem.xml         ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/CFCs_CDIAC.dat              , CFCs_CDIAC.dat             ), \
      	(${SUBMIT_DIR}/PARAM/NAMELIST/${RESOL_OCE}/namelist_top_cfg                            , namelist_top_cfg           ), \
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES_CMIP6/omip1/ia/config.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES_CMIP6/omip1/ia/config.card	(revision 3927)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES_CMIP6/omip1/ia/config.card	(revision 3941)
@@ -11,5 +11,5 @@
 #============================
 #-- (<8 chars MAX for JobName)
-JobName=eOR1L3P-IA-CORE
+JobName=CM61-LR-OMIP1
 #----- Short Name of Experiment
 ExperimentName=omip1
@@ -53,5 +53,5 @@
 ICE= ("", "", "")
 MBG= ("", "", "")
-IOS= (xios_server.exe, xios.x, 12MPI, 3NOD)
+IOS= (xios_server.exe, xios.x, 1MPI)
 #========================================================================
 #D-- Restarts -