Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/core/clim/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/core/clim/COMP/pisces.card	(revision 3947)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/core/clim/COMP/pisces.card	(revision 3961)
@@ -5,4 +5,5 @@
 PisFreq=1
 Offline_Mode=n
+Co2Anthr=n
 AtmCo2=2.8432e+02
 OutputLevel=10
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/core/ia/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/core/ia/COMP/pisces.card	(revision 3947)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/core/ia/COMP/pisces.card	(revision 3961)
@@ -5,4 +5,5 @@
 PisFreq=1
 Offline_Mode=n
+Co2Anthr=n
 AtmCo2=2.8432e+02
 OutputLevel=10
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/jra/ia/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/jra/ia/COMP/pisces.card	(revision 3947)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/jra/ia/COMP/pisces.card	(revision 3961)
@@ -5,4 +5,5 @@
 PisFreq=1
 Offline_Mode=n
+Co2Anthr=n
 AtmCo2=2.8432e+02
 OutputLevel=10
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES_CMIP6/omip1/ia/COMP/opa9.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES_CMIP6/omip1/ia/COMP/opa9.card	(revision 3947)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES_CMIP6/omip1/ia/COMP/opa9.card	(revision 3961)
@@ -29,6 +29,5 @@
 [BoundaryFiles]
 List=  (${opa9_UserChoices_R_FORCING}/weights_coreII_2_eorca1_bilinear.nc, weights_bilinear.nc), \
-       (${opa9_UserChoices_R_FORCING}/weights_coreII_2_eorca1_bicubic.nc , weights_bicubic.nc), \
-       (${R_IN}/CMIP6/${config_UserChoices_LongName}/${config_UserChoices_ModelName}/${config_UserChoices_ExperimentName}/${config_UserChoices_Member}/${year}/dr2xml_nemo.xml, dr2xml_opa9.xml)
+       (${opa9_UserChoices_R_FORCING}/weights_coreII_2_eorca1_bicubic.nc , weights_bicubic.nc)
 
 ListNonDel= (${R_IN}/OCE/NEMO/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/ahmcoef.nc, .), \
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES_CMIP6/omip1/ia/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES_CMIP6/omip1/ia/COMP/pisces.card	(revision 3947)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES_CMIP6/omip1/ia/COMP/pisces.card	(revision 3961)
@@ -5,4 +5,5 @@
 PisFreq=1
 Offline_Mode=n
+Co2Anthr=n
 AtmCo2=2.8432e+02
 OutputLevel=1
@@ -30,6 +31,7 @@
             (${R_IN}/OCE/NEMO/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/Ndep_input4MIPs/weights_CMIP_NCAR-CCMI_eORCA1_bilinear.nc, weights_2d_bilin.nc), \
             (${R_IN}/OCE/NEMO/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/par_fraction_gewex_clim90s00s_eORCA_R1.nc, par.orca.nc        ), \
-            (${R_IN}/OCE/NEMO/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/Solubility_T62_Mahowald_eORCA_R1.nc      , solubility.orca.nc )
-
+            (${R_IN}/OCE/NEMO/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/Solubility_T62_Mahowald_eORCA_R1.nc   , solubility.orca.nc ), \
+            (${R_IN}/OCE/NEMO/FORCINGS/GHG/CFCs_CDIAC.dat                                                                         , CFCs_CDIAC.dat     ), \
+            (${R_IN}/OCE/NEMO/FORCINGS/GHG/CO2_OMIP6_1700_2014.txt                                                                , atcco2.txt         )
 
 
@@ -40,9 +42,8 @@
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-pisces.xml   , field_def_nemo-pisces.xml  ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-inerttrc.xml , field_def_nemo-inerttrc.xml), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/CFCs_CDIAC.dat              , CFCs_CDIAC.dat             ), \
      	(${SUBMIT_DIR}/PARAM/NAMELIST/${RESOL_OCE}/namelist_top_cfg                            , namelist_top_cfg           ), \
         (${SUBMIT_DIR}/PARAM/NAMELIST/namelist_pisces_cfg                                      , namelist_pisces_cfg        ), \
         (${SUBMIT_DIR}/PARAM/NAMELIST/namelist_cfc_cfg                                         , namelist_cfc_cfg           ), \
-        (${SUBMIT_DIR}/PARAM/XML/file_def_nemo-pisces.xml                                      , file_def_nemo-pisces.xml   )
+        (${SUBMIT_DIR}/PARAM/XML/file_def_nemo-pisces_cmip6.xml                                , file_def_nemo-pisces.xml   )
 
 
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES_CMIP6/omip1/ia/config.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES_CMIP6/omip1/ia/config.card	(revision 3947)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES_CMIP6/omip1/ia/config.card	(revision 3961)
@@ -28,5 +28,5 @@
 #-- Begin and end of Job
 #-- "YYYY-MM-DD"
-DateBegin=1948-01-01
+DateBegin=1700-01-01
 DateEnd=2009-12-31
 #============================
@@ -53,5 +53,5 @@
 ICE= ("", "", "")
 MBG= ("", "", "")
-IOS= (xios_server.exe, xios.x, 1MPI)
+IOS= (xios_server.exe, xios.x, 4MPI, 2NOD)
 #========================================================================
 #D-- Restarts -
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES_CMIP6/omip2/ia/COMP/opa9.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES_CMIP6/omip2/ia/COMP/opa9.card	(revision 3947)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES_CMIP6/omip2/ia/COMP/opa9.card	(revision 3961)
@@ -21,5 +21,5 @@
 ListForcing=(u_10.30Jun2016 v_10.30Jun2016 t_10.30Jun2016 q_10.30Jun2016 rsds.30Jun2016 rlds.30Jun2016 rain.15Dec2016 snow.15Dec2016)
 YearForcingInit=1958
-YearForcingEnd=2015
+YearForcingEnd=2016
 #==============================================================
 
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES_CMIP6/omip2/ia/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES_CMIP6/omip2/ia/COMP/pisces.card	(revision 3947)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES_CMIP6/omip2/ia/COMP/pisces.card	(revision 3961)
@@ -5,4 +5,5 @@
 PisFreq=1
 Offline_Mode=n
+Co2Anthr=n
 AtmCo2=2.8432e+02
 OutputLevel=1
@@ -30,6 +31,7 @@
             (${R_IN}/OCE/NEMO/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/Ndep_input4MIPs/weights_CMIP_NCAR-CCMI_eORCA1_bilinear.nc, weights_2d_bilin.nc), \
             (${R_IN}/OCE/NEMO/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/par_fraction_gewex_clim90s00s_eORCA_R1.nc, par.orca.nc        ), \
-            (${R_IN}/OCE/NEMO/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/Solubility_T62_Mahowald_eORCA_R1.nc      , solubility.orca.nc )
-
+            (${R_IN}/OCE/NEMO/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/Solubility_T62_Mahowald_eORCA_R1.nc   , solubility.orca.nc ), \
+            (${R_IN}/OCE/NEMO/FORCINGS/GHG/CFCs_CDIAC.dat                                                                         , CFCs_CDIAC.dat     ), \
+            (${R_IN}/OCE/NEMO/FORCINGS/GHG/CO2_OMIP6_1700_2014.txt                                                                , atcco2.txt         )
 
 
@@ -40,9 +42,8 @@
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-pisces.xml   , field_def_nemo-pisces.xml  ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-inerttrc.xml , field_def_nemo-inerttrc.xml), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/CFCs_CDIAC.dat              , CFCs_CDIAC.dat             ), \
      	(${SUBMIT_DIR}/PARAM/NAMELIST/${RESOL_OCE}/namelist_top_cfg                            , namelist_top_cfg           ), \
         (${SUBMIT_DIR}/PARAM/NAMELIST/namelist_pisces_cfg                                      , namelist_pisces_cfg        ), \
         (${SUBMIT_DIR}/PARAM/NAMELIST/namelist_cfc_cfg                                         , namelist_cfc_cfg           ), \
-        (${SUBMIT_DIR}/PARAM/XML/file_def_nemo-pisces.xml                                      , file_def_nemo-pisces.xml   )
+        (${SUBMIT_DIR}/PARAM/XML/file_def_nemo-pisces_cmip6.xml                                , file_def_nemo-pisces.xml   )
 
 
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES_CMIP6/omip2/ia/config.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES_CMIP6/omip2/ia/config.card	(revision 3947)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES_CMIP6/omip2/ia/config.card	(revision 3961)
@@ -28,6 +28,6 @@
 #-- Begin and end of Job
 #-- "YYYY-MM-DD"
-DateBegin=1958-01-01
-DateEnd=2015-12-31
+DateBegin=1722-01-01
+DateEnd=2016-12-31
 #============================
 #-- 1Y, 1M, 5D, 1D
@@ -53,5 +53,5 @@
 ICE= ("", "", "")
 MBG= ("", "", "")
-IOS= (xios_server.exe, xios.x, 1MPI)
+IOS= (xios_server.exe, xios.x, 4MPI, 2NOD)
 #========================================================================
 #D-- Restarts -
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_OFF_PISCES/ia/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_OFF_PISCES/ia/COMP/pisces.card	(revision 3947)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_OFF_PISCES/ia/COMP/pisces.card	(revision 3961)
@@ -5,4 +5,5 @@
 version=v3.6_stable
 Offline_Mode=y
+Co2Anthr=n
 PisFreq=4
 AtmCo2=2.8432e+02
@@ -40,9 +41,9 @@
              (${R_IN}/OCE/NEMO/${config_UserChoices_TagName}/${pisces_UserChoices_version}/Fer_PISCES_monthly_eORCA_R1.nc            , . ), \
              (${R_IN}/OCE/NEMO/${config_UserChoices_TagName}/${pisces_UserChoices_version}/NO3_WOA2009_monthly_eORCA_R1.nc           , . ), \a
-             (${R_IN}/OCE/NEMO/${config_UserChoices_TagName}/${pisces_UserChoices_version}/Dust_inca_LOI/DUST_INCA_LOI6012-histAER_1M_${year}.nc, dust.orca.nc       ), \
+             (${R_IN}/OCE/NEMO/${config_UserChoices_TagName}/${pisces_UserChoices_version}/Dust_inca_LOI/DUST_INCA_LOI6012-histAER_1M_1850.nc, dust.orca.nc       ), \
              (${R_IN}/OCE/NEMO/${config_UserChoices_TagName}/${pisces_UserChoices_version}/Dust_inca_LOI/weights_LMD144142_eORCA1_bilinear.nc , weights_lmd144142_bilin.nc ), \
              (${R_IN}/OCE/NEMO/${config_UserChoices_TagName}/${pisces_UserChoices_version}/pmarge_etopo_eORCA_R1.nc              , bathy.orca.nc      ), \
              (${R_IN}/OCE/NEMO/${config_UserChoices_TagName}/${pisces_UserChoices_version}/river_global_news_eORCA_R1.nc         , river.orca.nc      ), \
-             (${R_IN}/OCE/NEMO/${config_UserChoices_TagName}/${pisces_UserChoices_version}/Ndep_input4MIPs/Ndep_input4MIPs_surfaceFluxes_CMIP_NCAR-CCMI-2-0_gn_${year}01-${year}12-clim.nc, ndeposition.orca.nc), \
+             (${R_IN}/OCE/NEMO/${config_UserChoices_TagName}/${pisces_UserChoices_version}/Ndep_input4MIPs/Ndep_input4MIPs_surfaceFluxes_CMIP_NCAR-CCMI-2-0_gn_185001-185012-clim.nc, ndeposition.orca.nc), \
              (${R_IN}/OCE/NEMO/${config_UserChoices_TagName}/${pisces_UserChoices_version}/Ndep_input4MIPs/weights_CMIP_NCAR-CCMI_eORCA1_bilinear.nc, weights_2d_bilin.nc), \
              (${R_IN}/OCE/NEMO/${config_UserChoices_TagName}/${pisces_UserChoices_version}/par_fraction_gewex_clim90s00s_eORCA_R1.nc, par.orca.nc        ), \
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/core/clim/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/core/clim/COMP/pisces.card	(revision 3947)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/core/clim/COMP/pisces.card	(revision 3961)
@@ -5,4 +5,5 @@
 PisFreq=1
 Offline_Mode=n
+Co2Anthr=n
 AtmCo2=2.8432e+02
 OutputLevel=10
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/core/ia/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/core/ia/COMP/pisces.card	(revision 3947)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/core/ia/COMP/pisces.card	(revision 3961)
@@ -5,4 +5,5 @@
 PisFreq=1
 Offline_Mode=n
+Co2Anthr=n
 AtmCo2=2.8432e+02
 OutputLevel=10
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/dfs5/ia/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/dfs5/ia/COMP/pisces.card	(revision 3947)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/dfs5/ia/COMP/pisces.card	(revision 3961)
@@ -5,4 +5,5 @@
 PisFreq=1
 Offline_Mode=n
+Co2Anthr=n
 AtmCo2=2.8432e+02
 OutputLevel=10
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/jra/ia/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/jra/ia/COMP/pisces.card	(revision 3947)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/jra/ia/COMP/pisces.card	(revision 3961)
@@ -5,4 +5,5 @@
 PisFreq=1
 Offline_Mode=n
+Co2Anthr=n
 AtmCo2=2.8432e+02
 OutputLevel=10
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_OFF_PISCES/clim/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_OFF_PISCES/clim/COMP/pisces.card	(revision 3947)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_OFF_PISCES/clim/COMP/pisces.card	(revision 3961)
@@ -5,4 +5,5 @@
 version=v3.6_stable
 Offline_Mode=y
+Co2Anthr=n
 PisFreq=4
 AtmCo2=2.8432e+02
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_OFF_PISCES/ia/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_OFF_PISCES/ia/COMP/pisces.card	(revision 3947)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_OFF_PISCES/ia/COMP/pisces.card	(revision 3961)
@@ -5,4 +5,5 @@
 version=v3.6_stable
 Offline_Mode=y
+Co2Anthr=n
 PisFreq=4
 AtmCo2=2.8432e+02