Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZ/clim_360d/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZ/clim_360d/COMP/lmdz.card	(revision 3971)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZ/clim_360d/COMP/lmdz.card	(revision 3973)
@@ -47,5 +47,5 @@
 
 # Set NMC output frequency (monthly, daily, HF) = y/n
-LMDZ_NMC_monthly=y
+LMDZ_NMC_monthly=n
 LMDZ_NMC_daily=n
 LMDZ_NMC_hf=n
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card	(revision 3971)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card	(revision 3973)
@@ -47,5 +47,5 @@
 
 # Set NMC output frequency (monthly, daily, HF) = y/n
-LMDZ_NMC_monthly=y
+LMDZ_NMC_monthly=n
 LMDZ_NMC_daily=n
 LMDZ_NMC_hf=n
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/amip_nudge/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/amip_nudge/COMP/lmdz.card	(revision 3971)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/amip_nudge/COMP/lmdz.card	(revision 3973)
@@ -47,5 +47,5 @@
 
 # Set NMC output frequency (monthly, daily, HF) = y/n
-LMDZ_NMC_monthly=y
+LMDZ_NMC_monthly=n
 LMDZ_NMC_daily=n
 LMDZ_NMC_hf=n
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/clim_360d/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/clim_360d/COMP/lmdz.card	(revision 3971)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/clim_360d/COMP/lmdz.card	(revision 3973)
@@ -47,5 +47,5 @@
 
 # Set NMC output frequency (monthly, daily, HF) = y/n
-LMDZ_NMC_monthly=y
+LMDZ_NMC_monthly=n
 LMDZ_NMC_daily=n
 LMDZ_NMC_hf=n
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/lmdz.card	(revision 3971)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/lmdz.card	(revision 3973)
@@ -47,5 +47,5 @@
 
 # Set NMC output frequency (monthly, daily, HF) = y/n
-LMDZ_NMC_monthly=y
+LMDZ_NMC_monthly=n
 LMDZ_NMC_daily=n
 LMDZ_NMC_hf=n
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/highresmip_CMIP6/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/highresmip_CMIP6/COMP/lmdz.card	(revision 3971)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/highresmip_CMIP6/COMP/lmdz.card	(revision 3973)
@@ -40,5 +40,5 @@
 
 # Set NMC output frequency (monthly, daily, HF) = y/n
-LMDZ_NMC_monthly=y	   
+LMDZ_NMC_monthly=n	   
 LMDZ_NMC_daily=n
 LMDZ_NMC_hf=n
Index: CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZ/clim_360d/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZ/clim_360d/COMP/lmdz.card	(revision 3971)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZ/clim_360d/COMP/lmdz.card	(revision 3973)
@@ -47,5 +47,5 @@
 
 # Set NMC output frequency (monthly, daily, HF) = y/n
-LMDZ_NMC_monthly=y
+LMDZ_NMC_monthly=n
 LMDZ_NMC_daily=n
 LMDZ_NMC_hf=n
Index: CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card	(revision 3971)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card	(revision 3973)
@@ -47,5 +47,5 @@
 
 # Set NMC output frequency (monthly, daily, HF) = y/n
-LMDZ_NMC_monthly=y
+LMDZ_NMC_monthly=n
 LMDZ_NMC_daily=n
 LMDZ_NMC_hf=n
Index: CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/amip_nudge/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/amip_nudge/COMP/lmdz.card	(revision 3971)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/amip_nudge/COMP/lmdz.card	(revision 3973)
@@ -47,5 +47,5 @@
 
 # Set NMC output frequency (monthly, daily, HF) = y/n
-LMDZ_NMC_monthly=y
+LMDZ_NMC_monthly=n
 LMDZ_NMC_daily=n
 LMDZ_NMC_hf=n
Index: CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/clim_360d/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/clim_360d/COMP/lmdz.card	(revision 3971)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/clim_360d/COMP/lmdz.card	(revision 3973)
@@ -47,5 +47,5 @@
 
 # Set NMC output frequency (monthly, daily, HF) = y/n
-LMDZ_NMC_monthly=y
+LMDZ_NMC_monthly=n
 LMDZ_NMC_daily=n
 LMDZ_NMC_hf=n
Index: CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/lmdz.card	(revision 3971)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/lmdz.card	(revision 3973)
@@ -47,5 +47,5 @@
 
 # Set NMC output frequency (monthly, daily, HF) = y/n
-LMDZ_NMC_monthly=y
+LMDZ_NMC_monthly=n
 LMDZ_NMC_daily=n
 LMDZ_NMC_hf=n
Index: CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/highresmip_CMIP6/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/highresmip_CMIP6/COMP/lmdz.card	(revision 3971)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/EXPERIMENTS/LMDZOR/highresmip_CMIP6/COMP/lmdz.card	(revision 3973)
@@ -40,5 +40,5 @@
 
 # Set NMC output frequency (monthly, daily, HF) = y/n
-LMDZ_NMC_monthly=y	   
+LMDZ_NMC_monthly=n	   
 LMDZ_NMC_daily=n
 LMDZ_NMC_hf=n