Index: CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/XML/ping_nemo.xml
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/XML/ping_nemo.xml	(revision 3979)
+++ CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/XML/ping_nemo.xml	(revision 3990)
@@ -76,6 +76,6 @@
    <field id="CMIP6_hfbasinpmdiff" field_ref="dummy_basin_zonal_mean"/> <!-- P1 (W) hfbasinpmdiff : Contributions to heat transport from parameterized mesoscale eddy-induced diffusive transport (i.e., neutral diffusion). Diagnosed here as a function of latitude and basin. **** NEMO-RD: not relevant for IPSLCM6 -->
    <field id="CMIP6_hfbasinpsmadv" field_ref="dummy_basin_zonal_mean"/> <!-- P1 (W) hfbasinpsmadv : Contributions to heat transport from parameterized SUB!!mesoscale eddy-induced advective transport. Diagnosed here as a function of latitude and basin.  Use Celsius for temperature scale. **** NEMO-RD: not relevant for IPSLCM6-->
-   <field id="CMIP6_hfcorr"        field_ref="dummy_XY"         /> <!-- P0 (W m-2) heat_flux_correction : Heat Flux Correction **** NEMO-RD: not relevant for IPSLCM6 -->
-   <field id="CMIP6_hfds"          field_ref="qt"               /> <!-- P1 (W m-2) surface_downward_heat_flux_in_sea_water : This is the net flux of heat entering the liquid water column through its upper surface (excluding any "flux adjustment") . -->
+   <field id="CMIP6_hfcorr"        field_ref="qrp"         /> <!-- P0 (W m-2) heat_flux_correction : Heat Flux Correction **** NEMO-RD: not relevant for IPSLCM6 -->
+   <field id="CMIP6_hfds"          field_ref="qt"        >  this - qrp </field>    <!-- P1 (W m-2) surface_downward_heat_flux_in_sea_water : This is the net flux of heat entering the liquid water column through its upper surface (excluding any "flux adjustment") . -->
    <field id="CMIP6_hfevapds"      field_ref="hflx_evap_cea"    /> <!-- P1 (W m-2) temperature_flux_due_to_evaporation_expressed_as_heat_flux_out_of_sea_water : This is defined as "where ice_free_sea over sea" -->
    <field id="CMIP6_hfgeou"        field_ref="hfgeou"         /> <!-- P1 (W m-2) upward_geothermal_heat_flux_at_sea_floor : Upward Geothermal Heat Flux at Sea Floor -->
@@ -194,7 +194,7 @@
    <field id="CMIP6_vsfriver"      field_ref="dummy_XY"         /> <!-- P1 (kg m-2 s-1) virtual_salt_flux_into_sea_water_from_rivers : zero for models using real water fluxes. -->
    <field id="CMIP6_vsfsit"        field_ref="dummy_XY"         /> <!-- P1 (kg m-2 s-1) virtual_salt_flux_into_sea_water_due_to_sea_ice_thermodynamics : This variable measures the virtual salt flux into sea water due to the melting of sea ice. It is set to zero in models which receive a real water flux. -->
-   <field id="CMIP6_wfcorr"        field_ref="dummy_XY"         /> <!-- P0 (kg m-2 s-1) water_flux_correction : Positive flux implies correction adds water to ocean. *** NEMO-RD : TODO add appropriate variable in forced mode (OMIP) : SSS restoring + correction of global volume of water -->
-   <field id="CMIP6_wfo"           field_ref="dummy_XY"         /> <!-- P1 (kg m-2 s-1) water_flux_into_sea_water : computed as the water  flux into the ocean divided by the area of the ocean portion of the grid cell.  This is the sum of the next two variables in this table.  -->
-   <field id="CMIP6_wfonocorr"     field_ref="empmr"            /> <!-- P1 (kg m-2 s-1) water_flux_into_sea_water_without_flux_correction : computed as the water  flux (without flux correction) into the ocean divided by the area of the ocean portion of the grid cell. *** NEMO-RD : TODO in field_ocean, empmr is defined as water flux out of sea ice and sea water. Is sea ice really taken into here? If no, correct description in field. If yes, this input is wrong here. -->
+   <field id="CMIP6_wfcorr"        field_ref="erp"         /> <!-- P0 (kg m-2 s-1) water_flux_correction : Positive flux implies correction adds water to ocean. *** NEMO-RD : TODO add appropriate variable in forced mode (OMIP) : SSS restoring + correction of global volume of water -->
+   <field id="CMIP6_wfo"           field_ref="empmr"         /> <!-- P1 (kg m-2 s-1) water_flux_into_sea_water : computed as the water  flux into the ocean divided by the area of the ocean portion of the grid cell.  This is the sum of the next two variables in this table.  -->
+   <field id="CMIP6_wfonocorr"     field_ref="empmr"         > this - erp </field> !<!-- P1 (kg m-2 s-1) water_flux_into_sea_water_without_flux_correction : computed as the water  flux (without flux correction) into the ocean divided by the area of the ocean portion of the grid cell. *** NEMO-RD : TODO in field_ocean, empmr is defined as water flux out of sea ice and sea water. Is sea ice really taken into here? If no, correct description in field. If yes, this input is wrong here. -->
    <field id="CMIP6_wmo"           field_ref="wocetr_eff" > this * $rau0 </field> <!-- P1 (kg s-1) upward_ocean_mass_transport : Upward mass transport from resolved and parameterized advective transport. -->
    <field id="CMIP6_wo"            field_ref="woce" expr="@woce_e3w / @e3w"  > woce_e3w / e3w </field> <!-- P1 (m s-1) upward_sea_water_velocity : Sea Water Vertical Velocity -->