Index: /CONFIG/UNIFORM/v6/NEMO_v6/ARCH/arch-X64_IRENE.fcm
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/ARCH/arch-X64_IRENE.fcm	(revision 3991)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/ARCH/arch-X64_IRENE.fcm	(revision 3992)
@@ -39,5 +39,5 @@
 %OASIS_LIB           -L%OASIS_HOME/lib -lpsmile.MPI1 -lscrip -lmct -lmpeu
 
-%CPP                 cpp
+%CPP                 cpp -P -nostdinc
 %FC                  mpif90 -c -cpp
 %FCFLAGS             -i4 -r8 -O3 -fp-model precise
Index: /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA025_LIM3/ia/COMP/opa9.card
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA025_LIM3/ia/COMP/opa9.card	(revision 3991)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA025_LIM3/ia/COMP/opa9.card	(revision 3992)
@@ -64,5 +64,5 @@
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/eORCA025_LIM3_PISCES/EXP00/field_def_nemo-opa.xml     , field_def_nemo-opa.xml ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/eORCA025_LIM3_PISCES/EXP00/file_def_nemo-opa.xml      , file_def_nemo-opa.xml  ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/eORCA025_LIM3_PISCES/EXP00/iodef.xml                  , iodef.xml              )
+        (${SUBMIT_DIR}/PARAM/XML/iodef.xml                                                       , iodef.xml               )
 
 [RestartFiles]
Index: /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA025_LIM3_PISCES/ia/COMP/opa9.card
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA025_LIM3_PISCES/ia/COMP/opa9.card	(revision 3991)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA025_LIM3_PISCES/ia/COMP/opa9.card	(revision 3992)
@@ -64,5 +64,5 @@
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/eORCA025_LIM3_PISCES/EXP00/field_def_nemo-opa.xml     , field_def_nemo-opa.xml ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/eORCA025_LIM3_PISCES/EXP00/file_def_nemo-opa.xml      , file_def_nemo-opa.xml  ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/eORCA025_LIM3_PISCES/EXP00/iodef.xml                  , iodef.xml              )
+        (${SUBMIT_DIR}/PARAM/XML/iodef.xml                                                       , iodef.xml               )
 
 [RestartFiles]
Index: /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/core/clim/COMP/opa9.card
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/core/clim/COMP/opa9.card	(revision 3991)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/core/clim/COMP/opa9.card	(revision 3992)
@@ -59,5 +59,4 @@
 [ParametersFiles]
 List=   (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_ref                            , namelist_ref        ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/iodef.xml              , iodef.xml           ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/context_nemo.xml       , context_nemo.xml    ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/domain_def_nemo.xml    , domain_def_nemo.xml ), \
@@ -67,4 +66,5 @@
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/ping_ocean.xml         , ping_ocean.xml      ), \
         (${SUBMIT_DIR}/PARAM/NAMELIST/${RESOL_OCE}/namelist_${opa9_UserChoices_forcing}_${exptype}_cfg, namelist_cfg), \
+        (${SUBMIT_DIR}/PARAM/XML/iodef.xml                                                , iodef.xml               ), \
         (${SUBMIT_DIR}/PARAM/XML/file_def_nemo-opa.xml                                    , file_def_nemo-opa.xml   )
 
Index: /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/core/clim/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/core/clim/config.card	(revision 3991)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/core/clim/config.card	(revision 3992)
@@ -52,5 +52,5 @@
 IOS= (xios_server.exe, xios.x, 1MPI)
 #On ADA use 16 mpi for xios
-#IOS= (xios_server.exe, xios.x, 16MPI)
+#IOS= (xios_server.exe, xios.x, 24MPI)
 #========================================================================
 #D-- Restarts -
Index: /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/core/ia/COMP/opa9.card
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/core/ia/COMP/opa9.card	(revision 3991)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/core/ia/COMP/opa9.card	(revision 3992)
@@ -57,5 +57,4 @@
 [ParametersFiles]
 List=   (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_ref                            , namelist_ref        ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/iodef.xml              , iodef.xml           ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/context_nemo.xml       , context_nemo.xml    ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/domain_def_nemo.xml    , domain_def_nemo.xml ), \
@@ -65,4 +64,5 @@
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/ping_ocean.xml         , ping_ocean.xml      ), \
         (${SUBMIT_DIR}/PARAM/NAMELIST/${RESOL_OCE}/namelist_${opa9_UserChoices_forcing}_${exptype}_cfg, namelist_cfg), \
+        (${SUBMIT_DIR}/PARAM/XML/iodef.xml                                                , iodef.xml               ), \
         (${SUBMIT_DIR}/PARAM/XML/file_def_nemo-opa.xml                                    , file_def_nemo-opa.xml   )
 
Index: /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/core/ia/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/core/ia/config.card	(revision 3991)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/core/ia/config.card	(revision 3992)
@@ -52,5 +52,5 @@
 IOS= (xios_server.exe, xios.x, 1MPI)
 #On ADA use 16 mpi for xios
-#IOS= (xios_server.exe, xios.x, 16MPI)
+#IOS= (xios_server.exe, xios.x, 24MPI)
 #========================================================================
 #D-- Restarts -
Index: /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/jra/ia/COMP/opa9.card
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/jra/ia/COMP/opa9.card	(revision 3991)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/jra/ia/COMP/opa9.card	(revision 3992)
@@ -58,5 +58,4 @@
 [ParametersFiles]
 List=   (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_ref                            , namelist_ref        ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/iodef.xml              , iodef.xml           ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/context_nemo.xml       , context_nemo.xml    ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/domain_def_nemo.xml    , domain_def_nemo.xml ), \
@@ -66,4 +65,5 @@
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/ping_ocean.xml         , ping_ocean.xml      ), \
         (${SUBMIT_DIR}/PARAM/NAMELIST/${RESOL_OCE}/namelist_${opa9_UserChoices_forcing}_${exptype}_cfg, namelist_cfg), \
+        (${SUBMIT_DIR}/PARAM/XML/iodef.xml                                                , iodef.xml               ), \
         (${SUBMIT_DIR}/PARAM/XML/file_def_nemo-opa.xml                                    , file_def_nemo-opa.xml   )
 
Index: /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/jra/ia/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/jra/ia/config.card	(revision 3991)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/jra/ia/config.card	(revision 3992)
@@ -52,5 +52,5 @@
 IOS= (xios_server.exe, xios.x, 1MPI)
 #On ADA use 16 mpi for xios
-#IOS= (xios_server.exe, xios.x, 16MPI)
+#IOS= (xios_server.exe, xios.x, 24MPI)
 #========================================================================
 #D-- Restarts -
Index: /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_OFF_PISCES/ia/COMP/pisces.card
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_OFF_PISCES/ia/COMP/pisces.card	(revision 3991)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_OFF_PISCES/ia/COMP/pisces.card	(revision 3992)
@@ -62,8 +62,8 @@
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-pisces.xml      , field_def_nemo-pisces.xml     ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-inerttrc.xml , field_def_nemo-inerttrc.xml), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/iodef.xml                      , iodef.xml                     ), \
         (${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE}${EXPTYPE}_offline_cfg                          , namelist_cfg                  ), \
         (${SUBMIT_DIR}/PARAM/namelist_top_${RESOL_OCE}piC_cfg                                     , namelist_top_cfg              ), \
         (${SUBMIT_DIR}/PARAM/namelist_pisces_${RESOL_OCE}_cfg                                     , namelist_pisces_cfg           ), \
+        (${SUBMIT_DIR}/PARAM/XML/iodef.xml                                                , iodef.xml               ), \
         (${SUBMIT_DIR}/PARAM/file_def_nemo-pisces.xml                                             , file_def_nemo-pisces.xml      )
 
Index: /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_OFF_PISCES/ia/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_OFF_PISCES/ia/config.card	(revision 3991)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_OFF_PISCES/ia/config.card	(revision 3992)
@@ -47,4 +47,6 @@
 MBG= (orca1offpisces.exe, nemo, 432MPI)
 IOS= (xios_server.exe, xios.x, 1MPI)
+##### On Ada use 24 xios
+####IOS= (xios_server.exe, xios.x, 24MPI)
 #========================================================================
 #D-- Restarts -
Index: /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/core/clim/COMP/opa9.card
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/core/clim/COMP/opa9.card	(revision 3991)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/core/clim/COMP/opa9.card	(revision 3992)
@@ -56,5 +56,4 @@
 [ParametersFiles]
 List=   (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_ref                            , namelist_ref        ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/iodef.xml              , iodef.xml           ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/context_nemo.xml       , context_nemo.xml    ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/domain_def_nemo.xml    , domain_def_nemo.xml ), \
@@ -63,4 +62,5 @@
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-opa.xml , field_def_nemo-opa.xml  ), \
         (${SUBMIT_DIR}/PARAM/NAMELIST/${RESOL_OCE}/namelist_${opa9_UserChoices_forcing}_${exptype}_cfg, namelist_cfg), \
+        (${SUBMIT_DIR}/PARAM/XML/iodef.xml                                                , iodef.xml               ), \
         (${SUBMIT_DIR}/PARAM/XML/file_def_nemo-opa.xml                                    , file_def_nemo-opa.xml   )
 
Index: /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/core/ia/COMP/opa9.card
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/core/ia/COMP/opa9.card	(revision 3991)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/core/ia/COMP/opa9.card	(revision 3992)
@@ -56,5 +56,4 @@
 [ParametersFiles]
 List=   (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_ref                            , namelist_ref        ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/iodef.xml              , iodef.xml           ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/context_nemo.xml       , context_nemo.xml    ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/domain_def_nemo.xml    , domain_def_nemo.xml ), \
@@ -63,4 +62,5 @@
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-opa.xml , field_def_nemo-opa.xml  ), \
         (${SUBMIT_DIR}/PARAM/NAMELIST/${RESOL_OCE}/namelist_${opa9_UserChoices_forcing}_${exptype}_cfg, namelist_cfg), \
+        (${SUBMIT_DIR}/PARAM/XML/iodef.xml                                                , iodef.xml               ), \
         (${SUBMIT_DIR}/PARAM/XML/file_def_nemo-opa.xml                                    , file_def_nemo-opa.xml   )
 
Index: /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/dfs5/ia/COMP/opa9.card
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/dfs5/ia/COMP/opa9.card	(revision 3991)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/dfs5/ia/COMP/opa9.card	(revision 3992)
@@ -55,5 +55,4 @@
 [ParametersFiles]
 List=   (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_ref                            , namelist_ref        ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/iodef.xml              , iodef.xml           ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/context_nemo.xml       , context_nemo.xml    ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/domain_def_nemo.xml    , domain_def_nemo.xml ), \
@@ -62,4 +61,5 @@
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-opa.xml , field_def_nemo-opa.xml  ), \
         (${SUBMIT_DIR}/PARAM/NAMELIST/${RESOL_OCE}/namelist_${opa9_UserChoices_forcing}_${exptype}_cfg, namelist_cfg), \
+        (${SUBMIT_DIR}/PARAM/XML/iodef.xml                                                , iodef.xml               ), \
         (${SUBMIT_DIR}/PARAM/XML/file_def_nemo-opa.xml                                    , file_def_nemo-opa.xml   )
 
Index: /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/jra/ia/COMP/opa9.card
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/jra/ia/COMP/opa9.card	(revision 3991)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/jra/ia/COMP/opa9.card	(revision 3992)
@@ -55,5 +55,4 @@
 [ParametersFiles]
 List=   (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_ref                            , namelist_ref        ), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/iodef.xml              , iodef.xml           ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/context_nemo.xml       , context_nemo.xml    ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/domain_def_nemo.xml    , domain_def_nemo.xml ), \
@@ -62,4 +61,5 @@
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-opa.xml , field_def_nemo-opa.xml  ), \
         (${SUBMIT_DIR}/PARAM/NAMELIST/${RESOL_OCE}/namelist_${opa9_UserChoices_forcing}_${exptype}_cfg, namelist_cfg), \
+        (${SUBMIT_DIR}/PARAM/XML/iodef.xml                                                , iodef.xml               ), \
         (${SUBMIT_DIR}/PARAM/XML/file_def_nemo-opa.xml                                    , file_def_nemo-opa.xml   )
 
Index: /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_OFF_PISCES/clim/COMP/pisces.card
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_OFF_PISCES/clim/COMP/pisces.card	(revision 3991)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_OFF_PISCES/clim/COMP/pisces.card	(revision 3992)
@@ -57,8 +57,8 @@
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-pisces.xml      , field_def_nemo-pisces.xml     ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-inerttrc.xml    , field_def_nemo-inerttrc.xml), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/iodef.xml                      , iodef.xml                     ), \
         (${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE}${EXPTYPE}_offline_cfg                          , namelist_cfg                  ), \
         (${SUBMIT_DIR}/PARAM/namelist_top_cfg                                                     , namelist_top_cfg              ), \
         (${SUBMIT_DIR}/PARAM/namelist_pisces_cfg                                                  , namelist_pisces_cfg           ), \
+        (${SUBMIT_DIR}/PARAM/XML/iodef.xml                                                        , iodef.xml               ), \
         (${SUBMIT_DIR}/PARAM/file_def_nemo-pisces_offline.xml                                     , file_def_nemo-pisces.xml      )
 
Index: /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_OFF_PISCES/ia/COMP/pisces.card
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_OFF_PISCES/ia/COMP/pisces.card	(revision 3991)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_OFF_PISCES/ia/COMP/pisces.card	(revision 3992)
@@ -58,8 +58,8 @@
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-pisces.xml      , field_def_nemo-pisces.xml     ), \
         (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-inerttrc.xml , field_def_nemo-inerttrc.xml), \
-        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/iodef.xml                      , iodef.xml                     ), \
         (${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE}${EXPTYPE}_offline_cfg                          , namelist_cfg                  ), \
         (${SUBMIT_DIR}/PARAM/namelist_top_cfg                                                     , namelist_top_cfg              ), \
         (${SUBMIT_DIR}/PARAM/namelist_pisces_cfg                                                  , namelist_pisces_cfg           ), \
+        (${SUBMIT_DIR}/PARAM/XML/iodef.xml                                                        , iodef.xml               ), \
         (${SUBMIT_DIR}/PARAM/file_def_nemo-pisces_offline.xml                                     , file_def_nemo-pisces.xml      )
 
Index: /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/DRIVER/xios.driver
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/DRIVER/xios.driver	(revision 3991)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/DRIVER/xios.driver	(revision 3992)
@@ -24,4 +24,17 @@
     fi
 
+   # Add include of nemo context in iodef.xml
+    # In iodef.xml add on next line after "COMPONENT CONTEXT"
+    #  <context id="nemo" src="./context_nemo.xml"/>
+    echo '<context id="nemo" src="./context_nemo.xml"/>' > add.tmp
+    if [ X"$( echo ${config_UserChoices_ExpType} | grep CMIP6 )" != "X" ] ; then
+        echo '<context id="nemo" src="./ping_nemo.xml"/>' >> add.tmp
+        echo '<context id="nemo" src="./dr2xml_opa9.xml"/>' >> add.tmp
+    fi
+    cp iodef.xml iodef.xml.tmp
+    sed -e "/ALL CONTEXT/r add.tmp" \
+        iodef.xml.tmp > iodef.xml
+    rm iodef.xml.tmp add.tmp
+
     IGCM_debug_PopStack "IOS_Update"
 }
Index: /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/XML/iodef.xml
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/XML/iodef.xml	(revision 3991)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/XML/iodef.xml	(revision 3992)
@@ -28,9 +28,11 @@
         <variable_group id="parameters" >
           <variable id="using_server" type="bool">true</variable>
-          <variable id="info_level" type="int">100</variable>
-          <variable id="print_file" type="bool">true</variable>
+          <variable id="info_level" type="int">1</variable>
+          <variable id="print_file" type="bool">false</variable>
           <variable id="using_oasis" type="bool">false</variable>
           <variable id="oasis_codes_id" type="string" >oceanx</variable>
         </variable_group>
+        <variable id="activate_non_distributed_transformation" type="bool">true</variable>
+        <variable id="recv_field_timeout" type="double">3000.0</variable>
 
     </variable_definition>
@@ -42,7 +44,5 @@
   <!-- =========================================================================================================== -->
 
-      <context id="nemo" src="./context_nemo.xml"/>
-      <context id="nemo" src="./ping_nemo.xml"/>
-      <context id="nemo" src="./dr2xml_opa9.xml"/>
+  <!-- ALL CONTEXT : the context will be add automatically by xios.driver               -->
   
 </simulation>