Index: CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/DRIVER/pisces.driver
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/DRIVER/pisces.driver	(revision 3992)
+++ CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/DRIVER/pisces.driver	(revision 3996)
@@ -19,5 +19,5 @@
        IGCM_debug_Print 1 "EXPERIMENT TYPE  : ${exptype}"
 
-       OPA_RDT=$( supergrep rn_rdt  ${SUBMIT_DIR}/PARAM/NAMELIST/${RESOL_OCE}$/namelist_offline_${exptype}_cfg | sed 's/ *rn_rdt *=//' | sed 's/\. *,//' )
+       OPA_RDT=$( supergrep rn_rdt  ${SUBMIT_DIR}/PARAM/NAMELIST/${RESOL_OCE}/namelist_offline_${exptype}_cfg | sed 's/ *rn_rdt *=//' | sed 's/\. *,//' )
        # Period Length In Days between DateBegin and first day of calendar 0001 01 01
        # /!\ Needed by OPA namelist to compute file names /!\
Index: CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/DRIVER/xios.driver
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/DRIVER/xios.driver	(revision 3992)
+++ CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/DRIVER/xios.driver	(revision 3996)
@@ -22,18 +22,18 @@
     if [ X"$( echo ${config_UserChoices_ExpType} | grep CMIP6 )" != "X" ] ; then
        IGCM_comp_modifyXmlFile force iodef.xml using_server2 NONE true
+      
+       # Add include of cmip6 context in iodef.xml
+       # In iodef.xml add on next line after "CMIP6 CONTEXT"
+      if [ X"$( echo ${config_UserChoices_ExpType} | grep CMIP6 )" != "X" ] ; then
+         echo '<context id="nemo" src="./ping_nemo.xml"/>' >> add.tmp
+         echo '<context id="nemo" src="./dr2xml_opa9.xml"/>' >> add.tmp
+      fi
+      cp iodef.xml iodef.xml.tmp
+      sed -e "/CMIP6 CONTEXT/r add.tmp" \
+        iodef.xml.tmp > iodef.xml
+      rm iodef.xml.tmp add.tmp
+
     fi
 
-   # Add include of nemo context in iodef.xml
-    # In iodef.xml add on next line after "COMPONENT CONTEXT"
-    #  <context id="nemo" src="./context_nemo.xml"/>
-    echo '<context id="nemo" src="./context_nemo.xml"/>' > add.tmp
-    if [ X"$( echo ${config_UserChoices_ExpType} | grep CMIP6 )" != "X" ] ; then
-        echo '<context id="nemo" src="./ping_nemo.xml"/>' >> add.tmp
-        echo '<context id="nemo" src="./dr2xml_opa9.xml"/>' >> add.tmp
-    fi
-    cp iodef.xml iodef.xml.tmp
-    sed -e "/ALL CONTEXT/r add.tmp" \
-        iodef.xml.tmp > iodef.xml
-    rm iodef.xml.tmp add.tmp
 
     IGCM_debug_PopStack "IOS_Update"
Index: CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA1/namelist_offline_ia_cfg
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA1/namelist_offline_ia_cfg	(revision 3992)
+++ CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA1/namelist_offline_ia_cfg	(revision 3996)
@@ -12,5 +12,4 @@
    nn_stock    =  _AUTO_
    ln_mskland  = .true.
-   ln_mskutil  = .false.
    ln_clobber  = .true.
    ln_cfmeta   = .true.
Index: CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA2/namelist_offline_clim_cfg
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA2/namelist_offline_clim_cfg	(revision 3992)
+++ CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA2/namelist_offline_clim_cfg	(revision 3996)
@@ -12,5 +12,4 @@
    nn_stock    =  _AUTO_
    ln_mskland  = .true.
-   ln_mskutil  = .false.
    ln_clobber  = .true.
    ln_cfmeta   = .true.
Index: CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA2/namelist_offline_ia_cfg
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA2/namelist_offline_ia_cfg	(revision 3992)
+++ CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA2/namelist_offline_ia_cfg	(revision 3996)
@@ -12,5 +12,4 @@
    nn_stock    =  _AUTO_
    ln_mskland  = .true.
-   ln_mskutil  = .false.
    ln_clobber  = .true.
    ln_cfmeta   = .true.
Index: CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/XML/iodef.xml
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/XML/iodef.xml	(revision 3992)
+++ CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/XML/iodef.xml	(revision 3996)
@@ -44,5 +44,6 @@
   <!-- =========================================================================================================== -->
 
-  <!-- ALL CONTEXT : the context will be add automatically by xios.driver               -->
+  <context id="nemo" src="./context_nemo.xml"/>       <!--  NEMO       -->
+  <!-- CMIP6 CONTEXT : the context will be add automatically by opa.driver -->
   
 </simulation>