Index: CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA1/namelist_core_clim_cfg
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA1/namelist_core_clim_cfg	(revision 3998)
+++ CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA1/namelist_core_clim_cfg	(revision 4001)
@@ -131,4 +131,5 @@
 !              !                      !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  ! filename      !
    sn_rnf      = 'runoff-icb_DaiTrenberth_Depoorter_eORCA1_JD.nc',        -1         , 'sorunoff',   .true.     , .true. , 'yearly'  , ''       , ''       , ''
+   sn_i_rnf    = 'runoff-icb_DaiTrenberth_Depoorter_eORCA1_JD.nc',        -1         , 'Icb_flux',   .true.     , .true. , 'yearly'  , ''       , ''       , ''
    sn_cnf      = 'runoff-icb_DaiTrenberth_Depoorter_eORCA1_JD.nc',         0         , 'socoeff' ,   .false.    , .true. , 'yearly'  , ''       , ''       , ''
    sn_s_rnf    = 'runoffs'            ,        24         , 'rosaline',   .true.     , .true. , 'yearly'  , ''       , ''       , ''
@@ -136,4 +137,5 @@
    sn_dep_rnf  = 'runoffs'            ,         0         , 'rodepth' ,   .false.    , .true. , 'yearly'  , ''       , ''       , ''
 
+   ln_rnf_icb   = .true.     !  read in iceberg flux
    ln_rnf_mouth = .false.    !  specific treatment at rivers mouths
    ln_rnf_depth = .false.    !  read in depth information for runoff
@@ -143,5 +145,5 @@
    rn_rnf_max   = 0.05       !  max value of the runoff climatology over global domain ( if ln_rnf_depth_ini = .true )
    rn_dep_max = 150.         !  depth over which runoffs is spread ( ln_rnf_depth_ini = .true )
-   nn_rnf_depth_file = 1     ! create (=1) a runoff depth file or not (=0)
+   nn_rnf_depth_file = 0     ! create (=1) a runoff depth file or not (=0)
 /
 !-----------------------------------------------------------------------
Index: CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA1/namelist_core_ia_cfg
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA1/namelist_core_ia_cfg	(revision 3998)
+++ CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA1/namelist_core_ia_cfg	(revision 4001)
@@ -132,4 +132,5 @@
 !              !                      !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  ! filename      !
    sn_rnf      = 'runoff-icb_DaiTrenberth_Depoorter_eORCA1_JD.nc',        -1         , 'sorunoff',   .true.     , .true. , 'yearly'  , ''       , ''       , ''
+   sn_i_rnf    = 'runoff-icb_DaiTrenberth_Depoorter_eORCA1_JD.nc',        -1         , 'Icb_flux',   .true.     , .true. , 'yearly'  , ''       , ''       , ''
    sn_cnf      = 'runoff-icb_DaiTrenberth_Depoorter_eORCA1_JD.nc',         0         , 'socoeff' ,   .false.    , .true. , 'yearly'  , ''       , ''       , ''
    sn_s_rnf    = 'runoffs'            ,        24         , 'rosaline',   .true.     , .true. , 'yearly'  , ''       , ''       , ''
@@ -137,4 +138,5 @@
    sn_dep_rnf  = 'runoffs'            ,         0         , 'rodepth' ,   .false.    , .true. , 'yearly'  , ''       , ''       , ''
 
+   ln_rnf_icb   = .true.     !  read in iceberg flux
    ln_rnf_mouth = .false.    !  specific treatment at rivers mouths
    ln_rnf_depth = .false.    !  read in depth information for runoff
Index: CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA1/namelist_dfs5_ia_cfg
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA1/namelist_dfs5_ia_cfg	(revision 3998)
+++ CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA1/namelist_dfs5_ia_cfg	(revision 4001)
@@ -135,4 +135,5 @@
 !              !                      !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  ! filename      !
    sn_rnf      = 'runoff-icb_DaiTrenberth_Depoorter_eORCA1_JD.nc',        -1         , 'sorunoff',   .true.     , .true. , 'yearly'  , ''       , ''       , ''
+   sn_i_rnf    = 'runoff-icb_DaiTrenberth_Depoorter_eORCA1_JD.nc',        -1         , 'Icb_flux',   .true.     , .true. , 'yearly'  , ''       , ''       , ''
    sn_cnf      = 'runoff-icb_DaiTrenberth_Depoorter_eORCA1_JD.nc',         0         , 'socoeff' ,   .false.    , .true. , 'yearly'  , ''       , ''       , ''
    sn_s_rnf    = 'runoffs'            ,        24         , 'rosaline',   .true.     , .true. , 'yearly'  , ''       , ''       , ''
@@ -140,4 +141,5 @@
    sn_dep_rnf  = 'runoffs'            ,         0         , 'rodepth' ,   .false.    , .true. , 'yearly'  , ''       , ''       , ''
 
+   ln_rnf_icb   = .true.     !  read in iceberg flux
    ln_rnf_mouth = .false.    !  specific treatment at rivers mouths
    ln_rnf_depth = .false.    !  read in depth information for runoff
Index: CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA1/namelist_jra_ia_cfg
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA1/namelist_jra_ia_cfg	(revision 3998)
+++ CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA1/namelist_jra_ia_cfg	(revision 4001)
@@ -130,4 +130,5 @@
 !              !                      !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  ! filename      !
    sn_rnf      = 'runoff-icb_DaiTrenberth_Depoorter_eORCA1_JD.nc',        -1         , 'sorunoff',   .true.     , .true. , 'yearly'  , ''       , ''       , ''
+   sn_i_rnf    = 'runoff-icb_DaiTrenberth_Depoorter_eORCA1_JD.nc',        -1         , 'Icb_flux',   .true.     , .true. , 'yearly'  , ''       , ''       , ''
    sn_cnf      = 'runoff-icb_DaiTrenberth_Depoorter_eORCA1_JD.nc',         0         , 'socoeff' ,   .false.    , .true. , 'yearly'  , ''       , ''       , ''
    sn_s_rnf    = 'runoffs'            ,        24         , 'rosaline',   .true.     , .true. , 'yearly'  , ''       , ''       , ''
@@ -135,4 +136,5 @@
    sn_dep_rnf  = 'runoffs'            ,         0         , 'rodepth' ,   .false.    , .true. , 'yearly'  , ''       , ''       , ''
 
+   ln_rnf_icb   = .true.     !  read in iceberg flux
    ln_rnf_mouth = .false.    !  specific treatment at rivers mouths
    ln_rnf_depth = .false.    !  read in depth information for runoff
Index: CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/XML/ping_nemo.xml
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/XML/ping_nemo.xml	(revision 3998)
+++ CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/XML/ping_nemo.xml	(revision 4001)
@@ -66,5 +66,5 @@
    <field id="CMIP6_fgsf6"         field_ref="qtr_SF6"           /> <!-- P2 (mol sec-1 m-2) fgsf6 : gas exchange flux of SF6 -->
    <field id="CMIP6_ficeberg"      field_ref="dummy_XYO"         /> <!-- P1 (kg m-2 s-1) water_flux_into_sea_water_from_icebergs : computed as the iceberg melt water  flux into the ocean divided by the area of the ocean portion of the grid cell. *** NEMO-RD : does not do (output of vertical profile to be coded) -->
-   <field id="CMIP6_ficeberg2d"    field_ref="iceberg_cea"         /> <!-- P1 (kg m-2 s-1) water_flux_into_sea_water_from_icebergs : computed as the iceberg melt water  flux into the ocean divided by the area of the ocean portion of the grid cell. **** NEMO-RD : TODO some work needed for forced mode to read iceberg contribution independently from river runoffs --> 
+   <field id="CMIP6_ficeberg2d"    field_ref="iceberg_cea"         /> <!-- P1 (kg m-2 s-1) water_flux_into_sea_water_from_icebergs : computed as the iceberg melt water  flux into the ocean divided by the area of the ocean portion of the grid cell.  --> 
    <field id="CMIP6_flandice"      field_ref="iceshelf_cea"        /> <!-- P1 (kg m-2 s-1) water_flux_into_sea_water_from_land_ice : Computed as the water flux into the ocean due to land ice (runoff water from surface and base of land ice or melt from base of ice shelf or vertical ice front) into the ocean divided by the area ocean portion of the grid cell --> 
    <field id="CMIP6_friver"        field_ref="runoffs"> this - iceberg_cea </field><!-- P1 (kg m-2 s-1) water_flux_into_sea_water_from_rivers : computed as the river flux of water into the ocean divided by the area of the ocean portion of the grid cell.  -->
@@ -194,7 +194,7 @@
    <field id="CMIP6_vsfriver"      field_ref="dummy_XY"         /> <!-- P1 (kg m-2 s-1) virtual_salt_flux_into_sea_water_from_rivers : zero for models using real water fluxes. -->
    <field id="CMIP6_vsfsit"        field_ref="dummy_XY"         /> <!-- P1 (kg m-2 s-1) virtual_salt_flux_into_sea_water_due_to_sea_ice_thermodynamics : This variable measures the virtual salt flux into sea water due to the melting of sea ice. It is set to zero in models which receive a real water flux. -->
-   <field id="CMIP6_wfcorr"        field_ref="erp"         /> <!-- P0 (kg m-2 s-1) water_flux_correction : Positive flux implies correction adds water to ocean. *** NEMO-RD : TODO add appropriate variable in forced mode (OMIP) : SSS restoring + correction of global volume of water -->
+   <field id="CMIP6_wfcorr"        field_ref="erp"         /> <!-- P0 (kg m-2 s-1) water_flux_correction : Positive flux implies correction adds water to ocean. -->
    <field id="CMIP6_wfo"           field_ref="empmr"         /> <!-- P1 (kg m-2 s-1) water_flux_into_sea_water : computed as the water  flux into the ocean divided by the area of the ocean portion of the grid cell.  This is the sum of the next two variables in this table.  -->
-   <field id="CMIP6_wfonocorr"     field_ref="empmr"         > this - erp </field> !<!-- P1 (kg m-2 s-1) water_flux_into_sea_water_without_flux_correction : computed as the water  flux (without flux correction) into the ocean divided by the area of the ocean portion of the grid cell. *** NEMO-RD : TODO in field_ocean, empmr is defined as water flux out of sea ice and sea water. Is sea ice really taken into here? If no, correct description in field. If yes, this input is wrong here. -->
+   <field id="CMIP6_wfonocorr"     field_ref="empmr"         > this - erp </field> !<!-- P1 (kg m-2 s-1) water_flux_into_sea_water_without_flux_correction : computed as the water  flux (without flux correction) into the ocean divided by the area of the ocean portion of the grid cell. -->
    <field id="CMIP6_wmo"           field_ref="wocetr_eff" > this * $rau0 </field> <!-- P1 (kg s-1) upward_ocean_mass_transport : Upward mass transport from resolved and parameterized advective transport. -->
    <field id="CMIP6_wo"            field_ref="woce" expr="@woce_e3w / @e3w"  > woce_e3w / e3w </field> <!-- P1 (m s-1) upward_sea_water_velocity : Sea Water Vertical Velocity -->