Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/historical_CMIP6/COMP/opa9.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/historical_CMIP6/COMP/opa9.card	(revision 4001)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/historical_CMIP6/COMP/opa9.card	(revision 4008)
@@ -111,7 +111,7 @@
 Patches = ()
 GatherWithInternal = (nav_lon, nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (zos, zossq, tos, sos, tossq, omlmax, mldkz5, mldr10_1, nshfls, rsntds, rsds, friver, hc300, wfo)
-ChunckJob2D = NONE
-TimeSeriesVars3D = (e3t, thetao, so)
+TimeSeriesVars2D = (zos, tos, sos, mldr10_1, nshfls, rsntds, friver, hc300, wfo)
+ChunckJob2D = NONE
+TimeSeriesVars3D = (thetao, so)
 ChunckJob3D = 100Y
 Seasonal=ON
@@ -120,7 +120,7 @@
 Patches = ()
 GatherWithInternal = (nav_lon, nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (tauuo, sozohetr, sozosatr)
-ChunckJob2D = NONE
-TimeSeriesVars3D = (e3u, uo)
+TimeSeriesVars2D = ()
+ChunckJob2D = NONE
+TimeSeriesVars3D = ()
 ChunckJob3D = 100Y
 Seasonal=ON
@@ -129,7 +129,7 @@
 Patches = ()
 GatherWithInternal = (nav_lon, nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (tauvo, somehetr, somesatr)
-ChunckJob2D = NONE
-TimeSeriesVars3D = (e3v, vo)
+TimeSeriesVars2D = ()
+ChunckJob2D = NONE
+TimeSeriesVars3D = ()
 ChunckJob3D = 100Y
 Seasonal=ON
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl-spinup_CMIP6/COMP/opa9.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl-spinup_CMIP6/COMP/opa9.card	(revision 4001)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl-spinup_CMIP6/COMP/opa9.card	(revision 4008)
@@ -114,7 +114,7 @@
 Patches = ()
 GatherWithInternal = (nav_lon, nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (zos, zossq, tos, sos, tossq, omlmax, mldkz5, mldr10_1, nshfls, rsntds, rsds, friver, hc300, wfo)
-ChunckJob2D = NONE
-TimeSeriesVars3D = (e3t, thetao, so)
+TimeSeriesVars2D = (zos, tos, sos, mldr10_1, nshfls, rsntds, friver, hc300, wfo)
+ChunckJob2D = NONE
+TimeSeriesVars3D = (thetao, so)
 ChunckJob3D = 100Y
 Seasonal=ON
@@ -123,7 +123,7 @@
 Patches = ()
 GatherWithInternal = (nav_lon, nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (tauuo, sozohetr, sozosatr)
-ChunckJob2D = NONE
-TimeSeriesVars3D = (e3u, uo)
+TimeSeriesVars2D = ()
+ChunckJob2D = NONE
+TimeSeriesVars3D = ()
 ChunckJob3D = 100Y
 Seasonal=ON
@@ -132,7 +132,7 @@
 Patches = ()
 GatherWithInternal = (nav_lon, nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (tauvo, somehetr, somesatr)
-ChunckJob2D = NONE
-TimeSeriesVars3D = (e3v, vo)
+TimeSeriesVars2D = ()
+ChunckJob2D = NONE
+TimeSeriesVars3D = ()
 ChunckJob3D = 100Y
 Seasonal=ON
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl_CMIP6/COMP/opa9.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl_CMIP6/COMP/opa9.card	(revision 4001)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl_CMIP6/COMP/opa9.card	(revision 4008)
@@ -113,7 +113,7 @@
 Patches = ()
 GatherWithInternal = (nav_lon, nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (zos, zossq, tos, sos, tossq, omlmax, mldkz5, mldr10_1, nshfls, rsntds, rsds, friver, hc300, wfo)
-ChunckJob2D = NONE
-TimeSeriesVars3D = (e3t, thetao, so)
+TimeSeriesVars2D = (zos, tos, sos,  mldr10_1, nshfls, rsntds, friver, hc300, wfo)
+ChunckJob2D = NONE
+TimeSeriesVars3D = (thetao, so)
 ChunckJob3D = 100Y
 Seasonal=ON
@@ -122,7 +122,7 @@
 Patches = ()
 GatherWithInternal = (nav_lon, nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (tauuo, sozohetr, sozosatr)
-ChunckJob2D = NONE
-TimeSeriesVars3D = (e3u, uo)
+TimeSeriesVars2D = ()
+ChunckJob2D = NONE
+TimeSeriesVars3D = ()
 ChunckJob3D = 100Y
 Seasonal=ON
@@ -131,7 +131,7 @@
 Patches = ()
 GatherWithInternal = (nav_lon, nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (tauvo, somehetr, somesatr)
-ChunckJob2D = NONE
-TimeSeriesVars3D = (e3v, vo)
+TimeSeriesVars2D = ()
+ChunckJob2D = NONE
+TimeSeriesVars3D = ()
 ChunckJob3D = 100Y
 Seasonal=ON